package com.djhk.uav.tfly.model;


import com.djhk.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;


/**
 * 【请填写功能名称】对象 t_fly_data
 * 
 * @author ruoyi
 * @date 2023-06-25
 */
public class TFlyData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 流水号 */
    private Long pntSeq;

    /** 无人机SN */
    private String equSn;

    /** 架次编号 */
    private String orderid;

    /** 数据来源:1基础平台 */
    private String src;

    /** 计划编号 */
    private String planCode;

    /** 位置经度 */
    private Double lon;

    /** 位置纬度 */
    private Double lat;

    /** 海拔高度（米） */
    private Double alt;

    /** 相对高度（米） */
    private Double hei;

    /** 飞行速度（米/秒） */
    private Double spd;

    /** 飞行航向 */
    private Long dir;

    /** 飞行距离（米） */
    private Double dist;

    /** 告警信息 */
    private String warn;

    /** 信号时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date stime;

    /** 本地时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date ltime;

    /** 网格编码（30级） */

    private String ghCode;

    public void setPntSeq(Long pntSeq) 
    {
        this.pntSeq = pntSeq;
    }

    public Long getPntSeq() 
    {
        return pntSeq;
    }
    public void setEquSn(String equSn) 
    {
        this.equSn = equSn;
    }

    public String getEquSn() 
    {
        return equSn;
    }
    public void setOrderid(String orderid) 
    {
        this.orderid = orderid;
    }

    public String getOrderid() 
    {
        return orderid;
    }
    public void setSrc(String src) 
    {
        this.src = src;
    }

    public String getSrc() 
    {
        return src;
    }
    public void setPlanCode(String planCode) 
    {
        this.planCode = planCode;
    }

    public String getPlanCode() 
    {
        return planCode;
    }
    public void setLon(Double lon)
    {
        this.lon = lon;
    }

    public Double getLon()
    {
        return lon;
    }
    public void setLat(Double lat)
    {
        this.lat = lat;
    }

    public Double getLat()
    {
        return lat;
    }
    public void setAlt(Double alt)
    {
        this.alt = alt;
    }

    public Double getAlt()
    {
        return alt;
    }
    public void setHei(Double hei)
    {
        this.hei = hei;
    }

    public Double getHei()
    {
        return hei;
    }
    public void setSpd(Double spd)
    {
        this.spd = spd;
    }

    public Double getSpd()
    {
        return spd;
    }
    public void setDir(Long dir) 
    {
        this.dir = dir;
    }

    public Long getDir() 
    {
        return dir;
    }
    public void setDist(Double dist)
    {
        this.dist = dist;
    }

    public Double getDist()
    {
        return dist;
    }
    public void setWarn(String warn) 
    {
        this.warn = warn;
    }

    public String getWarn() 
    {
        return warn;
    }
    public void setStime(Date stime) 
    {
        this.stime = stime;
    }

    public Date getStime() 
    {
        return stime;
    }
    public void setLtime(Date ltime) 
    {
        this.ltime = ltime;
    }

    public Date getLtime() 
    {
        return ltime;
    }
    public void setGhCode(String ghCode) 
    {
        this.ghCode = ghCode;
    }

    public String getGhCode() 
    {
        return ghCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pntSeq", getPntSeq())
            .append("equSn", getEquSn())
            .append("orderid", getOrderid())
            .append("src", getSrc())
            .append("planCode", getPlanCode())
            .append("lon", getLon())
            .append("lat", getLat())
            .append("alt", getAlt())
            .append("hei", getHei())
            .append("spd", getSpd())
            .append("dir", getDir())
            .append("dist", getDist())
            .append("warn", getWarn())
            .append("stime", getStime())
            .append("ltime", getLtime())
            .append("ghCode", getGhCode())
            .toString();
    }
}
